import { PageModel } from "../page-model";
import { Control } from "../control";
/**
 * @category Properties
 */
export interface SASInputBindings<T = any> {
    id?: string;
    readOnly?: boolean;
    placeholder?: string;
    autocomplete?: string;
    isDisabled?: boolean;
    model?: T;
    inputFocus?: (event: FocusEvent) => void;
    inputBlur?: (event: FocusEvent) => void;
    modelChanged?: (modelValue: T) => void;
}
/**
 * Page Controls require a valid {@link Control | childNode} and {@link PageModel | pageModel}.</strong>
 *
 * @category Properties
 **/
export interface PageControlBindings {
    childNode: Control;
    pageModel: PageModel;
}
